IDfier Developers
API reference

List documents, newest first

GET
/documents

Authorization

apiKey
headerAuthorizationBearer <isk_live_…>

Query Parameters

status?string
Value in"draft""in_signature""completed""declined""void"
workspaceId?string
reference?string

Your own id, as given when creating

limit?integer
Range1 <= value <= 100
Default25
cursor?string

nextCursor from the previous page

Response Body

A page of documents

application/json
  1. response
data?array<>
nextCursor?string|null
Example Request
curl -X GET 'https://sign.idfier.com/api/v1/documents'
Example Response
{  "data": [    {      "id": "string",      "title": "string",      "status": "draft",      "workspace": {        "id": "string",        "name": "string"      },      "owner": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "links": {        "self": "string"      }    }  ],  "nextCursor": "string"}